import java.util.ArrayList;
/**
 * Testovaci trida LiskaTest ... doplnte vlastni komentar
 *
 * @author     jmeno autora
 * @version    cislo verze, datum
 */
public class LiskaTest extends junit.framework.TestCase
{

    /**
     * Konstruktor umoznujici spustit definovany test.
     */
    public LiskaTest( String nazevTestu )
    {
        super( nazevTestu );
    }


    /**
     * Vytvoreni pripravku (fixture), tj. sady objektu, s nimiz budou vsechny
     * testy pracovat a ktera se proto vytvori pred spustenim kazdeho testu.         
     */
    protected void setUp()
    {
    }


    /**
     * Uklid po testu - tato metoda se spusti po vykonani kazdeho testu.
     */
    protected void tearDown()
    {
    }

	public void testLovit() {
		Liska liska1 = new Liska(false);
		Kralik kralik1 = new Kralik(true);
		Louka louka1 = new Louka(10, 10);
		Pozice poziceL = louka1.seznamPozic().get(louka1.seznamPozic().size()/2);
		liska1.setPozice(poziceL);
		louka1.vloz(liska1, poziceL);
		Pozice poziceK = louka1.volnaSousedniPozice(poziceL);
		kralik1.setPozice(poziceK);
		louka1.vloz(kralik1,poziceK);
		ArrayList <Liska> narozeneLisky = new ArrayList<Liska>();
		liska1.lovit(louka1, narozeneLisky);
		assertEquals("kralík by měl být uloven", false, kralik1.jeZivy());
		assertEquals("na pozici kralika by měla být líška", liska1, louka1.getObjectAt(poziceK));
		assertNull("na původní pozici by měla být hodnota null",louka1.getObjectAt(poziceL));
	}
}

