
/**
 * Testovaci trida PoziceTest ... doplnte vlastni komentar
 *
 * @author     jmeno autora
 * @version    cislo verze, datum
 */
public class PoziceTest extends junit.framework.TestCase
{

    /**
     * Konstruktor umoznujici spustit definovany test.
     */
    public PoziceTest( String nazevTestu )
    {
        super( nazevTestu );
    }


    /**
     * Vytvoreni pripravku (fixture), tj. sady objektu, s nimiz budou vsechny
     * testy pracovat a ktera se proto vytvori pred spustenim kazdeho testu.         
     */
    protected void setUp()
    {
    }


    /**
     * Uklid po testu - tato metoda se spusti po vykonani kazdeho testu.
     */
    protected void tearDown()
    {
    }

	public void testPozice()
	{
		Pozice pozice1 = new Pozice(10, 15);
		assertEquals("metoda getRadek vrátila chybný řádek",10, pozice1.getRadek());
		assertEquals("metoda getSloupec vrátila chybný sloupec", 15, pozice1.getSloupec());
	}

	public void testEquals()
	{
		Pozice pozice1 = new Pozice(10, 15);
		Pozice pozice2 = new Pozice(10, 15);
		Pozice pozice3 = new Pozice(10, 16);
		assertEquals("pozice1(10,15) a pozice2(10,15) by se měly rovnat", true, pozice1.equals(pozice2));
		assertEquals("pozice1(10,15) a pozice3(10,16) se nesmí rovnat", false, pozice1.equals(pozice3));
		assertEquals("pozice2(10,15) a pozice3(10,16) se nesmí rovnat", false, pozice2.equals(pozice3));
	}
}


